<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_152-release) on Tue May 29 23:57:00 CEST 2018 -->
<title>Settaggi</title>
<meta name="date" content="2018-05-29">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Settaggi";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Settaggi.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../danielepani/it/filigheddutapper/ScoresAdapter.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../danielepani/it/filigheddutapper/SettaggiActivity.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?danielepani/it/filigheddutapper/Settaggi.html" target="_top">Frames</a></li>
<li><a href="Settaggi.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.android.support.v7.preference.PreferenceFragmentCompat">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.android.support.v7.preference.PreferenceFragmentCompat">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">danielepani.it.filigheddutapper</div>
<h2 title="Class Settaggi" class="title">Class Settaggi</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>android.support.v4.app.Fragment</li>
<li>
<ul class="inheritance">
<li>android.support.v7.preference.PreferenceFragmentCompat</li>
<li>
<ul class="inheritance">
<li>danielepani.it.filigheddutapper.Settaggi</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>android.arch.lifecycle.LifecycleOwner, android.arch.lifecycle.ViewModelStoreOwner, android.content.ComponentCallbacks, android.content.SharedPreferences.OnSharedPreferenceChangeListener, android.support.v7.preference.DialogPreference.TargetFragment, android.support.v7.preference.Preference.OnPreferenceChangeListener, android.support.v7.preference.PreferenceManager.OnDisplayPreferenceDialogListener, android.support.v7.preference.PreferenceManager.OnNavigateToScreenListener, android.support.v7.preference.PreferenceManager.OnPreferenceTreeClickListener, android.view.View.OnCreateContextMenuListener</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Settaggi</span>
extends android.support.v7.preference.PreferenceFragmentCompat
implements android.content.SharedPreferences.OnSharedPreferenceChangeListener, android.support.v7.preference.Preference.OnPreferenceChangeListener</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.android.support.v7.preference.PreferenceFragmentCompat">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;android.support.v7.preference.PreferenceFragmentCompat</h3>
<code>android.support.v7.preference.PreferenceFragmentCompat.OnPreferenceDisplayDialogCallback, android.support.v7.preference.PreferenceFragmentCompat.OnPreferenceStartFragmentCallback, android.support.v7.preference.PreferenceFragmentCompat.OnPreferenceStartScreenCallback</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.android.support.v4.app.Fragment">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;android.support.v4.app.Fragment</h3>
<code>android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.support.v7.preference.PreferenceFragmentCompat">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;android.support.v7.preference.PreferenceFragmentCompat</h3>
<code>ARG_PREFERENCE_ROOT</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/Settaggi.html#Settaggi--">Settaggi</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/Settaggi.html#onCreatePreferences-android.os.Bundle-java.lang.String-">onCreatePreferences</a></span>(android.os.Bundle&nbsp;savedInstanceState,
                   java.lang.String&nbsp;rootKey)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/Settaggi.html#onPreferenceChange-android.support.v7.preference.Preference-java.lang.Object-">onPreferenceChange</a></span>(android.support.v7.preference.Preference&nbsp;p,
                  java.lang.Object&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../danielepani/it/filigheddutapper/Settaggi.html#onSharedPreferenceChanged-android.content.SharedPreferences-java.lang.String-">onSharedPreferenceChanged</a></span>(android.content.SharedPreferences&nbsp;sharedPreferences,
                         java.lang.String&nbsp;key)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v7.preference.PreferenceFragmentCompat">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v7.preference.PreferenceFragmentCompat</h3>
<code>addPreferencesFromResource, findPreference, getCallbackFragment, getListView, getPreferenceManager, getPreferenceScreen, onActivityCreated, onBindPreferences, onCreate, onCreateAdapter, onCreateLayoutManager, onCreateRecyclerView, onCreateView, onDestroyView, onDisplayPreferenceDialog, onNavigateToScreen, onPreferenceTreeClick, onSaveInstanceState, onStart, onStop, onUnbindPreferences, onViewCreated, scrollToPreference, scrollToPreference, setDivider, setDividerHeight, setPreferenceScreen, setPreferencesFromResource</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.support.v4.app.Fragment">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.support.v4.app.Fragment</h3>
<code>dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getContext, getEnterTransition, getExitTransition, getFragmentManager, getHost, getId, getLayoutInflater, getLayoutInflater, getLifecycle, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, getViewModelStore, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isStateSaved, isVisible, onActivityResult, onAttach, onAttach, onAttachFragment, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateAnimator, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDetach, onGetLayoutInflater, onHiddenChanged, onInflate, onInflate, onLowMemory, onMultiWindowModeChanged, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPictureInPictureModeChanged, onPrepareOptionsMenu, onRequestPermissionsResult, onResume, onViewStateRestored, postponeEnterTransition, registerForContextMenu, requestPermissions, requireActivity, requireContext, requireFragmentManager, requireHost, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, shouldShowRequestPermissionRationale, startActivity, startActivity, startActivityForResult, startActivityForResult, startIntentSenderForResult, startPostponedEnterTransition, toString, unregisterForContextMenu</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Settaggi--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Settaggi</h4>
<pre>public&nbsp;Settaggi()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onCreatePreferences-android.os.Bundle-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCreatePreferences</h4>
<pre>public&nbsp;void&nbsp;onCreatePreferences(android.os.Bundle&nbsp;savedInstanceState,
                                java.lang.String&nbsp;rootKey)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onCreatePreferences</code>&nbsp;in class&nbsp;<code>android.support.v7.preference.PreferenceFragmentCompat</code></dd>
</dl>
</li>
</ul>
<a name="onPreferenceChange-android.support.v7.preference.Preference-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onPreferenceChange</h4>
<pre>public&nbsp;boolean&nbsp;onPreferenceChange(android.support.v7.preference.Preference&nbsp;p,
                                  java.lang.Object&nbsp;newValue)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onPreferenceChange</code>&nbsp;in interface&nbsp;<code>android.support.v7.preference.Preference.OnPreferenceChangeListener</code></dd>
</dl>
</li>
</ul>
<a name="onSharedPreferenceChanged-android.content.SharedPreferences-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>onSharedPreferenceChanged</h4>
<pre>public&nbsp;void&nbsp;onSharedPreferenceChanged(android.content.SharedPreferences&nbsp;sharedPreferences,
                                      java.lang.String&nbsp;key)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>onSharedPreferenceChanged</code>&nbsp;in interface&nbsp;<code>android.content.SharedPreferences.OnSharedPreferenceChangeListener</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Settaggi.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../danielepani/it/filigheddutapper/ScoresAdapter.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../danielepani/it/filigheddutapper/SettaggiActivity.html" title="class in danielepani.it.filigheddutapper"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?danielepani/it/filigheddutapper/Settaggi.html" target="_top">Frames</a></li>
<li><a href="Settaggi.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.android.support.v7.preference.PreferenceFragmentCompat">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.android.support.v7.preference.PreferenceFragmentCompat">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
